Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class ExtendedParserWrapper

    java.lang.Object
      org.apache.batik.css.parser.ExtendedParserWrapper

All Implemented Interfaces:
  ExtendedParser, Parser

public class ExtendedParserWrapper
extends java.lang.Object
implements ExtendedParser

This class implements the `ExtendedParser` interface by wrapping a standard `Parser`.

Field Summary
`Parser` | `parser`

Constructor Summary
`ExtendedParserWrapper(Parser parser)`

Method Summary
`java.lang.String` | `getParserVersion()` SAC: Implements `Parser.getParserVersion()`.
`SACMediaList` | `parseMedia(java.lang.String mediaText)` Implements `ExtendedParser.parseMedia(String)`.
`boolean` | `parsePriority(InputSource source)` SAC: Implements `Parser.parsePriority(InputSource)`.
`boolean` | `parsePriority(java.lang.String source)` Parse a CSS priority value (e.g.
`LexicalUnit` | `parsePropertyValue(InputSource source)` SAC: Implements `Parser.parsePropertyValue(InputSource)`.
`LexicalUnit` | `parsePropertyValue(java.lang.String source)` Parse a CSS property value.
`void` | `parseRule(InputSource source)` SAC: Implements `Parser.parseRule(InputSource)`.
`void` | `parseRule(java.lang.String source)` Parse a CSS rule.
`SelectorList` | `parseSelectors(InputSource source)` SAC: Implements `Parser.parseSelectors(InputSource)`.
`SelectorList` | `parseSelectors(java.lang.String source)` Parse a comma separated list of selectors.
`void` | `parseStyleDeclaration(InputSource source)` SAC: Implements `Parser.parseStyleDeclaration(InputSource)`.
`void` | `parseStyleDeclaration(java.lang.String source)` Parse a CSS style declaration (without '{' and '}').
`void` | `parseStyleSheet(InputSource source)` SAC: Implements `Parser.parseStyleSheet(InputSource)`.
`void` | `parseStyleSheet(java.lang.String uri)` Parse a CSS document from a URI.
`void` | `setConditionFactory(ConditionFactory conditionFactory)` SAC: Implements `Parser.setConditionFactory(ConditionFactory)`.
`void` | `setDocumentHandler(DocumentHandler handler)` SAC: Implements `Parser.setDocumentHandler(DocumentHandler)`.
`void` | `setErrorHandler(ErrorHandler handler)` SAC: Implements `Parser.setErrorHandler(ErrorHandler)`.
`void` | `setLocale(java.util.Locale locale)` SAC: Implements `Parser.setLocale(Locale)`.
`void` | `setSelectorFactory(SelectorFactory selectorFactory)` SAC: Implements `Parser.setSelectorFactory(SelectorFactory)`.
`static ExtendedParser` | `wrap(Parser p)` This converts a standard @link org.w3c.css.sac.Parser into an Extended Parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    public Parser parser

Constructor Detail

### ExtendedParserWrapper

    public ExtendedParserWrapper(Parser parser)

Method Detail

### wrap

    public static ExtendedParser wrap(Parser p)

  This converts a standard @link org.w3c.css.sac.Parser into an Extended Parser. If it is already an ExtendedParser it will simply cast it and return, otherwise it will wrap it and return the result.

  Parameters:
    `p` - Parser to wrap.
  Returns:
    p as an ExtendedParser.

### getParserVersion

    public java.lang.String getParserVersion()

  SAC: Implements `Parser.getParserVersion()`.

  Specified by:
    `getParserVersion` in interface `Parser`

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws CSSException

  SAC: Implements `Parser.setLocale(Locale)`.

  Specified by:
    `setLocale` in interface `Parser`
  Parameters:
    `locale` - A Java Locale object.
  Throws:
    `CSSException` - Throws an exception (using the previous or default locale) if the requested locale is not supported.
  See Also:
    `CSSException`, `CSSParseException`

### setDocumentHandler

    public void setDocumentHandler(DocumentHandler handler)

  SAC: Implements `Parser.setDocumentHandler(DocumentHandler)`.

  Specified by:
    `setDocumentHandler` in interface `Parser`
  Parameters:
    `handler` - The document handler.
  See Also:
    `DocumentHandler`

### setSelectorFactory

    public void setSelectorFactory(SelectorFactory selectorFactory)

  SAC: Implements `Parser.setSelectorFactory(SelectorFactory)`.

  Specified by:
    `setSelectorFactory` in interface `Parser`

### setConditionFactory

    public void setConditionFactory(ConditionFactory conditionFactory)

  SAC: Implements `Parser.setConditionFactory(ConditionFactory)`.

  Specified by:
    `setConditionFactory` in interface `Parser`

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  SAC: Implements `Parser.setErrorHandler(ErrorHandler)`.

  Specified by:
    `setErrorHandler` in interface `Parser`
  Parameters:
    `handler` - The error handler.
  See Also:
    `ErrorHandler`, `CSSException`

### parseStyleSheet

    public void parseStyleSheet(InputSource source)
                         throws CSSException,
                                java.io.IOException

  SAC: Implements `Parser.parseStyleSheet(InputSource)`.

  Specified by:
    `parseStyleSheet` in interface `Parser`
  Parameters:
    `source` - The input source for the top-level of the CSS document.
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
  See Also:
    `InputSource`, `Parser.parseStyleSheet(java.lang.String)`, `Parser.setDocumentHandler(org.w3c.css.sac.DocumentHandler)`, `Parser.setErrorHandler(org.w3c.css.sac.ErrorHandler)`

### parseStyleSheet

    public void parseStyleSheet(java.lang.String uri)
                         throws CSSException,
                                java.io.IOException

  Parse a CSS document from a URI.

  This method is a shortcut for the common case of reading a document from a URI. It is the exact equivalent of the following:

       parse(new InputSource(uri));

  The URI must be fully resolved by the application before it is passed to the parser.

  Specified by:
    `parseStyleSheet` in interface `Parser`
  Parameters:
    `uri` - The URI.
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
  See Also:
    `parseStyleSheet(InputSource)`

### parseStyleDeclaration

    public void parseStyleDeclaration(InputSource source)
                               throws CSSException,
                                      java.io.IOException

  SAC: Implements `Parser.parseStyleDeclaration(InputSource)`.

  Specified by:
    `parseStyleDeclaration` in interface `Parser`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parseStyleDeclaration

    public void parseStyleDeclaration(java.lang.String source)
                               throws CSSException,
                                      java.io.IOException

  Parse a CSS style declaration (without '{' and '}').

  Specified by:
    `parseStyleDeclaration` in interface `ExtendedParser`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parseRule

    public void parseRule(InputSource source)
                   throws CSSException,
                          java.io.IOException

  SAC: Implements `Parser.parseRule(InputSource)`.

  Specified by:
    `parseRule` in interface `Parser`
  Throws:
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### parseRule

    public void parseRule(java.lang.String source)
                   throws CSSException,
                          java.io.IOException

  Parse a CSS rule.

  Specified by:
    `parseRule` in interface `ExtendedParser`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parseSelectors

    public SelectorList parseSelectors(InputSource source)
                                throws CSSException,
                                       java.io.IOException

  SAC: Implements `Parser.parseSelectors(InputSource)`.

  Specified by:
    `parseSelectors` in interface `Parser`
  Throws:
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### parseSelectors

    public SelectorList parseSelectors(java.lang.String source)
                                throws CSSException,
                                       java.io.IOException

  Parse a comma separated list of selectors.

  Specified by:
    `parseSelectors` in interface `ExtendedParser`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parsePropertyValue

    public LexicalUnit parsePropertyValue(InputSource source)
                                   throws CSSException,
                                          java.io.IOException

  SAC: Implements `Parser.parsePropertyValue(InputSource)`.

  Specified by:
    `parsePropertyValue` in interface `Parser`
  Throws:
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### parsePropertyValue

    public LexicalUnit parsePropertyValue(java.lang.String source)
                                   throws CSSException,
                                          java.io.IOException

  Parse a CSS property value.

  Specified by:
    `parsePropertyValue` in interface `ExtendedParser`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parsePriority

    public boolean parsePriority(InputSource source)
                          throws CSSException,
                                 java.io.IOException

  SAC: Implements `Parser.parsePriority(InputSource)`.

  Specified by:
    `parsePriority` in interface `Parser`
  Throws:
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
    `CSSException` - Any CSS exception, possibly wrapping another exception.

### parseMedia

    public SACMediaList parseMedia(java.lang.String mediaText)
                            throws CSSException,
                                   java.io.IOException

  Implements `ExtendedParser.parseMedia(String)`.

  Specified by:
    `parseMedia` in interface `ExtendedParser`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parsePriority

    public boolean parsePriority(java.lang.String source)
                          throws CSSException,
                                 java.io.IOException

  Parse a CSS priority value (e.g. "!important").

  Specified by:
    `parsePriority` in interface `ExtendedParser`
  Throws:
    `CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.